<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
    <button class="btn btn-success" (click)="guardarForm()" [disabled]="!folio.hfolio">
        <i class="fas fa-save mr-2"></i>Guardar
    </button>
</app-page-title>

<div class="card">
    <div class="card-body">
        <div class="row">
            <div class="form-group col col-sm-6 col-md-3 col-lg-2">
                <label>Folio</label>
                <div class="input-group">
                    <input type="number" class="form-control" maxlength="7" name="hfolio" pattern="[0-9]+"
                        (change)="valueChange(fol.value)" [(ngModel)]="folio.hfolio" #fol>
                    <div class="input-group-append">
                        <button (click)="openModal(buscarHuesped)" class="btn btn-info">
                            <i class="fa fa-search"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="form-group colcol-sm-6 col-md-4 col-lg-3">
                <label>Nombre(s)</label>
                <input type="text" class="form-control" name="hnombre" [(ngModel)]="folio.hnombre" readonly>
            </div>
            <div class="form-group col col-sm-6 col-md-4 col-lg-3">
                <label>Apellido(s)</label>
                <input type="text" class="form-control" name="hapellido" [(ngModel)]="folio.hapellido" readonly>
            </div>
            <div class="form-group col-4 col-sm-3 col-md-2 col-lg-1">
                <label>E.A.</label>
                <input type="text" class="form-control" name="heactual" [(ngModel)]="folio.heactual" readonly>
            </div>
        </div>
        <div class="mt-2">
            <kendo-grid [data]="dataGrid" [reorderable]="true" [resizable]="true" style="height:50vh;">
                <kendo-grid-column field="hfolio" title="# Folio" width="100"></kendo-grid-column>
                <kendo-grid-column field="hapellido" title="Apellido(s)"></kendo-grid-column>
                <kendo-grid-column field="hnombre" title="Nombre(s)"></kendo-grid-column>
                <kendo-grid-column field="heactual" title="E.A." width="100"></kendo-grid-column>
            </kendo-grid>
        </div>
    </div>
</div>

<ng-template #buscarHuesped let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">Huespedes en Casa Hotel {{ ttInfocia.cnombre }}</h6>
        <button class="close" aria-label="Close" (click)="d('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <app-buscar (resultFolio)="resultHuesped($event); c('Close click')" [ttfolio]="dataFolios" [huesped]="'*'">
        </app-buscar>
    </div>
    <div class="modal-footer">
        <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
    </div>
</ng-template>